IDrive was Unaffected by Heartbleed Threat

 

We want to assure our users that we do not use, nor have we ever been exposed to, the affected versions of OpenSSL that were compromised by the Heartbleed threat.

As you may or may not have heard, a serious security bug called Heartbleed recently affected a specific version of OpenSSL, which is an encryption library that many sites across the Internet use. Heartbleed exposes a large security hole and has been an issue for more than half of the online services provided in the world.

IDrive was not affected and continues to provide a comprehensively secure service. Our customers should not be concerned with the safety of their data on IDrive’s servers.

It is important to note, however, that since so many sites on the Internet were affected by the Heartbleed threat, you may want to change passwords for other accounts once those services have patched their servers. If you use the same password for IDrive that you use for other sites, it may be beneficial to change your IDrive password, as well, as a precaution.

If you have any further questions or concerns, please feel free to contact our support team for assistance.